Debian Bug report logs - #686902
ITP: python-bleach -- whitelist-based HTML-sanitizing library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Per Andersson <avtobiff@gmail.com>

Date: Fri, 7 Sep 2012 01:39:01 UTC

Owned by: Per Andersson <avtobiff@gmail.com>

Severity: wishlist

Fixed in version python-bleach/1.2.2-1

Done: Per Andersson <avtobiff@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#686902; Package wnpp. (Fri, 07 Sep 2012 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 07 Sep 2012 01:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-bleach -- whitelist-based HTML-sanitizing library
Date: Fri, 07 Sep 2012 03:33:44 +0200
Package: wnpp
Severity: wishlist
Owner: Per Andersson <avtobiff@gmail.com>

* Package name    : python-bleach
  Version         : 1.1.5
  Upstream Author : James Socol <jsocol@mozilla.com>
* URL             : http://pypi.python.org/pypi/bleach/
* License         : BSD
  Programming Lang: Python
  Description     : whitelist-based HTML-sanitizing library

 Bleach is an HTML sanitizing library that escapes or strips markup and
 attributes based on a white list. Bleach can also linkify text safely,
 applying filters that Django's urlize filter cannot, and optionally setting
 rel attributes, even on links already in the text.
 .
 Bleach is intended for sanitizing text from untrusted sources. If you find
 yourself jumping through hoops to allow your site administrators to do lots of
 things, you're probably outside the use cases. Either trust those users, or
 don't.
 .
 Because it relies on html5lib, Bleach is as good as modern browsers at dealing
 with weird, quirky HTML fragments. And any of Bleach's methods will fix
 unbalanced or mis-nested tags.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Per Andersson <avtobiff@gmail.com>:
Bug#686902; Package wnpp. (Fri, 01 Mar 2013 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodolphe Quiedeville <rodolphe@quiedeville.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Per Andersson <avtobiff@gmail.com>. (Fri, 01 Mar 2013 10:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 686902@bugs.debian.org (full text, mbox):

From: Rodolphe Quiedeville <rodolphe@quiedeville.org>
To: 686902@bugs.debian.org
Cc: Per Andersson <avtobiff@gmail.com>
Subject: Bleach Debian Package
Date: Fri, 01 Mar 2013 11:18:47 +0100
Hi,

I would like to know if you still work on the debian package bleach. If 
you not have enough time and you're agree I can do the package. I did 
one for my personnal purpose and I propose to upload it to Debian if 
you're agree.

Regards

-- 
Rodolphe Qui├ędeville - Artisan Logiciel Libre
http://cartosm.eu - Int├ęgration de carte libre sur site web
http://hypadrie.eu - Ticketing online
Blog : http://blog.rodolphe.quiedeville.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686902; Package wnpp. (Sun, 09 Jun 2013 19:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Jun 2013 19:21:10 GMT) Full text and rfc822 format available.

Message #15 received at 686902@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 686902@bugs.debian.org
Subject: .
Date: Sun, 9 Jun 2013 21:18:20 +0200
tag 686902 + pending
kthxbye

Uploaded 1.2.2 to NEW now.

You are more then welcome to co-mantain! Join the collab-maint
group on alioth and put yourself in Uploaders field in debian/control
and push. Then just do regular packaging work!


Best,
Per



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 09 Jun 2013 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Per Andersson <avtobiff@gmail.com>:
You have taken responsibility. (Tue, 18 Jun 2013 19:03:20 GMT) Full text and rfc822 format available.

Notification sent to Per Andersson <avtobiff@gmail.com>:
Bug acknowledged by developer. (Tue, 18 Jun 2013 19:03:20 GMT) Full text and rfc822 format available.

Message #22 received at 686902-close@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 686902-close@bugs.debian.org
Subject: Bug#686902: fixed in python-bleach 1.2.2-1
Date: Tue, 18 Jun 2013 19:00:06 +0000
Source: python-bleach
Source-Version: 1.2.2-1

We believe that the bug you reported is fixed in the latest version of
python-bleach, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686902@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Per Andersson <avtobiff@gmail.com> (supplier of updated python-bleach package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 09 Jun 2013 19:46:56 +0200
Source: python-bleach
Binary: python-bleach
Architecture: source all
Version: 1.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Per Andersson <avtobiff@gmail.com>
Changed-By: Per Andersson <avtobiff@gmail.com>
Description: 
 python-bleach - whitelist-based HTML-sanitizing library
Closes: 686902
Changes: 
 python-bleach (1.2.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #686902)
Checksums-Sha1: 
 c30b041b89a6e784c3db7ebe53dac1ed2adce9e3 1939 python-bleach_1.2.2-1.dsc
 a46445cb08a21f3e69dd0e9629da4f5d47798d3b 26956 python-bleach_1.2.2.orig.tar.gz
 59e888645201db19f26e9ab13f46f93162635889 2445 python-bleach_1.2.2-1.debian.tar.gz
 11a05b0f0f4833989ccc4a7f26438e629d7c9ddf 21568 python-bleach_1.2.2-1_all.deb
Checksums-Sha256: 
 5939936b4cbb4b8c97d76bedd2b88049fb94be041e47e42315575c3a85e97ac6 1939 python-bleach_1.2.2-1.dsc
 fc2bf091c6794053fe3325d83f1d1d8b936b17ff869e7571a7c0ab33066f2115 26956 python-bleach_1.2.2.orig.tar.gz
 29108292e62fdb0661f2d63b30a41c4d915f5075dc37b696b52fe5bb34f3b294 2445 python-bleach_1.2.2-1.debian.tar.gz
 7258ba3a08d79fa7e9f6f0d899be841332e08857381e07a963f6b402c99f40ae 21568 python-bleach_1.2.2-1_all.deb
Files: 
 85d64ba199c403a634368f833dac2f1b 1939 python optional python-bleach_1.2.2-1.dsc
 a04b2cc900eb03282bf0b3f720838777 26956 python optional python-bleach_1.2.2.orig.tar.gz
 9b57b81b962b2aaabff91fda6080e97d 2445 python optional python-bleach_1.2.2-1.debian.tar.gz
 6e29e679d0c242bb21d10b020d3df139 21568 python optional python-bleach_1.2.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRtNRNAAoJELGIrlV59JL4K6gP/1Kel53Agb8V1T+FpL876Iu9
63YhhSCSmSBbQTKnT2biP/RAWk7OCbpe4M2ShhSZ1eP4rgFITvQneq5wkxtAZm9q
1gvGvK3ZkbtKdLvy7bq99n1q84U53rHkcniEn7dK6tnIbMGHV/8N2MJ2BR7Tfs34
/QK9ao06Al8l3sUER7CVevIwnePF8ijy3bzKbNjUTvFjAAQCMZ/YfIRvizgOa4/K
W56BqK5+BoHuZDLRSa8k6tQ5t7JEDKZjxWxMATcAKI8yWBDzPEsbo9GJUK8q+F8x
CXwPLkFOA9egVnW6LtFit9+DI+GWv5/Hqd9PwBtbf8TyG7Ir+eWPlKHBm0y3D5YW
7Y8VieEe+SRIovD44n3jMjWzdbkOK+0QbnkTzU/+N3RFxlfjkjp+vrx6rzxvww7R
SNIgC8ttwnibi3dpm+7ld2l7IqhQofshZehdQJ1uX2ggqmM/NZzviWzwbRO/TBYX
W5yE6oAGAPL70mjqcN5+3+9vy0we7Bqxi0Um0zKYIBi8uUIvBdBiYIkQWRONkTuB
WwpGMXWE2PeEspSWlfOto1OKFvhQAJ+pRH6xPt5hwfw8Q99VBLkTPQAgX5/rDl6G
J2dhvEAfg5w39UAM6q5mN3y/qYk3AGfPOAJyaKzSURvnPWioN4nLmBL9McpJTteX
uFCNzQXWXPi7h9wBGeMH
=4Pfo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Jul 2013 07:26:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:36:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.